;InnoSetupVersion=4.1.8

[Setup]
AppName=LinkStash
AppVerName=LinkStash 1.6.10
AppId=LinkStash
AppPublisher=XRayz Software
AppPublisherURL=http://www.xrayz.co.uk
AppSupportURL=http://www.xrayz.co.uk/support
AppUpdatesURL=http://www.xrayz.co.uk
DefaultDirName={pf}\LinkStash
DefaultGroupName=LinkStash
UninstallDisplayIcon={app}\lnkstash.exe
OutputBaseFilename=lssetup
Compression=lzma
PrivilegesRequired=none
DisableProgramGroupPage=yes
ChangesAssociations=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\lnkstash.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\LSMon.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\LSGrab.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\LSShow.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\PreUninstall.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\lnkstash.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\stock.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\lss.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\tips.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\TipOfTheDay.dll"; DestDir: "{app}"; Flags: ignoreversion 

[Dirs]
Name: "{app}"; Flags: uninsalwaysuninstall 

[Registry]
Root: HKCU; Subkey: "Software\XRayz\LinkStash"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\XRayz"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "LinkStashMonitor"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\XRayz\LinkStash\StdButtons"; ValueName: "Cfg"; Flags: deletevalue 
Root: HKCU; Subkey: "Software\XRayz\LinkStash\TipOfTheDay"; Flags: deletekey 
Root: HKCU; Subkey: "Software\XRayz\LinkStash\Find"; ValueName: "BarFlags"; Flags: deletevalue 
Root: HKCU; Subkey: "Software\XRayz\LinkStash\Find"; ValueName: "FindFlags"; Flags: deletevalue 
Root: HKCU; Subkey: "Software\XRayz\LinkStash\Settings"; ValueName: "DupPrompt"; Flags: deletevalue 
Root: HKCR; Subkey: ".lns"; Flags: deletekey 
Root: HKCR; Subkey: ".lns"; ValueType: String; ValueData: "LinkStashBookmarkFile"; Tasks: associate; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCR; Subkey: "LinkStashBookmarkFile"; ValueType: String; ValueData: "LinkStash Bookmark file"; Tasks: associate; 
Root: HKCR; Subkey: "LinkStashBookmarkFile\DefaultIcon"; ValueType: String; ValueData: "{app}\lnkstash.exe"; Tasks: associate; 
Root: HKCR; Subkey: "LinkStashBookmarkFile\shell\open\command"; ValueType: String; ValueData: """{app}\lnkstash.exe"" ""%1"""; Tasks: associate; 
Root: HKCR; Subkey: "LinkStashBookmarkFile"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{4874F370-402D-4d09-A73E-FAB439934E56}"; Flags: deletekey 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{4874F370-402D-4d09-A73E-FAB439934E56}"; Tasks: ietoolbar; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{4874F370-402D-4d09-A73E-FAB439934E56}"; ValueName: "ButtonText"; ValueType: String; ValueData: "LinkStash"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{4874F370-402D-4d09-A73E-FAB439934E56}"; ValueName: "CLSID"; ValueType: String; ValueData: "{{1FBA04EE-3024-11D2-8F1F-0000F87ABD16}"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{4874F370-402D-4d09-A73E-FAB439934E56}"; ValueName: "Default Visible"; ValueType: String; ValueData: "Yes"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{4874F370-402D-4d09-A73E-FAB439934E56}"; ValueName: "Exec"; ValueType: String; ValueData: "{app}\lsshow.exe"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{4874F370-402D-4d09-A73E-FAB439934E56}"; ValueName: "HotIcon"; ValueType: String; ValueData: "{app}\lnkstash.exe,186"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{4874F370-402D-4d09-A73E-FAB439934E56}"; ValueName: "Icon"; ValueType: String; ValueData: "{app}\lnkstash.exe,185"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{4874F370-402D-4d09-A73E-FAB439934E56}"; ValueName: "MenuText"; ValueType: String; ValueData: "LinkStash"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{4874F370-402D-4d09-A73E-FAB439934E56}\Lang0409"; ValueName: "MenuStatusBar"; ValueType: String; ValueData: "Opens LinkStash."; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{957DCFA2-39F7-4443-9677-1B14E83A2F87}"; Flags: deletekey 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{957DCFA2-39F7-4443-9677-1B14E83A2F87}"; Tasks: ietoolbar; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{957DCFA2-39F7-4443-9677-1B14E83A2F87}"; ValueName: "ButtonText"; ValueType: String; ValueData: "Grab URLs"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{957DCFA2-39F7-4443-9677-1B14E83A2F87}"; ValueName: "CLSID"; ValueType: String; ValueData: "{{1FBA04EE-3024-11D2-8F1F-0000F87ABD16}"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{957DCFA2-39F7-4443-9677-1B14E83A2F87}"; ValueName: "Default Visible"; ValueType: String; ValueData: "Yes"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{957DCFA2-39F7-4443-9677-1B14E83A2F87}"; ValueName: "Exec"; ValueType: String; ValueData: "{app}\lsgrab.exe"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{957DCFA2-39F7-4443-9677-1B14E83A2F87}"; ValueName: "HotIcon"; ValueType: String; ValueData: "{app}\lnkstash.exe,184"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{957DCFA2-39F7-4443-9677-1B14E83A2F87}"; ValueName: "Icon"; ValueType: String; ValueData: "{app}\lnkstash.exe,183"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{957DCFA2-39F7-4443-9677-1B14E83A2F87}"; ValueName: "MenuText"; ValueType: String; ValueData: "LinkStash GrabURLs"; Tasks: ietoolbar; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{957DCFA2-39F7-4443-9677-1B14E83A2F87}\Lang0409"; ValueName: "MenuStatusBar"; ValueType: String; ValueData: "Add URL(s) to LinkStash."; Tasks: ietoolbar; 

[Run]
Filename: "{app}\lnkstash.exe"; Description: "Launch LinkStash"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\PreUninstall.exe"; 

[Icons]
Name: "{group}\LinkStash"; Filename: "{app}\lnkstash.exe"; 
Name: "{group}\LinkStash Help"; Filename: "{app}\lnkstash.chm"; 
Name: "{group}\Uninstall LinkStash"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\LinkStash"; Filename: "{app}\lnkstash.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "ietoolbar"; Description: "Add &toolbar buttons to Internet Explorer, requires IE5 or higher"; GroupDescription: "Other tasks:"; 
Name: "associate"; Description: "&Associate LinkStash Bookmark files (.lns files) with LinkStash"; GroupDescription: "Other tasks:"; 

[UninstallDelete]
Type: files; Name: "{userstartup}\LinkStash.lnk"; 
Type: files; Name: "{app}\*.lns.BAK?"; 
Type: files; Name: "{userdocs}\LinkStash\*.lns.BAK?"; 
Type: dirifempty; Name: "{userdocs}\LinkStash"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
